
QGIS Application - Bug report #14318

[postgresql 3d] cannot create linestring if snapping enabled

2016-02-17 02:54 AM - Denis Rouzaud

Status: Closed

Priority: Severe/Regression

Assignee: Hugo Mercier

Category: Data Provider/PostGIS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22307

Description

If you start digitizing a 3D linestring with a snapped point it will result in a 2D geometry and PostGIS will refuse writing the feature.

If you don't use snapping, no problem.

Associated revisions

Revision bcded3c2 - 2016-02-18 08:59 AM - Hugo Mercier

Keep Z/M information when digitizing from a snapped point (fixes #14318)

History

#1 - 2016-02-17 05:11 AM - Hugo Mercier

Reproduced. Only when the first point of the linestring is snapped on a point

#2 - 2016-02-18 12:00 AM - Hugo Mercier

- Status changed from Open to Closed

Fixed in changeset commit:"bcded3c2d49957b9871653258eaf9b2c37ecd024".

2025-05-17 1/1


